## Diplomový projekt 2 2020

- vytvorenie a spustenie docker kontajneru


```
./build-docker.sh
winpty docker run --name prodigy -it -p 8080:8080 -v C://Users/jakub/Desktop/annotation-master/annotation/work prodigy bash
```




### Spustenie anotačnej schémy
- `dataminer.csv` články stiahnuté z wiki
- `cd ner`
- `./01_text_to_sent.sh` spustenie skriptu *text_to_sent.py*, ktorý rozdelí články na jednotlivé vety
- `./02_ner_manual.sh` spustenie manuálneho anotačného procesu pre NER  
- `./03_export.sh`  exportovanie anotovaných dát vo formáte json potrebnom pre spracovanie vo spacy. Možnosť rozdelenia na trénovacie (70%) a testovacie dáta (30%) (--eval-split 0.3).
Pozn. aby --eval-split fungoval správne, je potrebné v inštalácii prodigy (cestu zistíme pomocou `prodigy stats`) v súbore `recipes/train.py` upraviť funkciu `data_to_spacy` (mal by byť riadok 327). V novej verzii by to malo byť opravené. Do riadku treba pridať parameter eval_split. 
`json_data, eval_data, split = train_eval_split(json_data, eval_split)`

### Štatistika o anotovaných dátach
- `prodigy stats wikiart` - informácie o počte prijatých a odmietnutých článkov pre konkrétny dataset v prodigy
- `python3 count.py` - Tabuľka pre informáciu o počte prijatých, odmietnutých a preskočených článkov z databázy. Taktiež informácia o množstve jednotlivých entít. 

### Trénovanie modelu
Založené na: https://git.kemt.fei.tuke.sk/dano/spacy-skmodel

### Štatistika o trénovaní
Po natrénovaní modelu vidíme iba skóre pre celý model. Aby sme sa dozvedeli informáciu o presnosti trénovania jednotlivých entít, využijeme `modelinfo.sh`
